Bug 92148 - Math: LibreOffice locks up if the bar on the left is resized
Summary: Math: LibreOffice locks up if the bar on the left is resized
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: All Linux (All)
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0 target:5.0.1
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2015-06-18 09:40 UTC by J
Modified: 2016-10-25 19:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J 2015-06-18 09:40:04 UTC
Note: I spotted this bug in 5 Beta1, but it's still present in 5 Beta3 for me.

When Math is started or a Math formula is inserted anywhere else, a sidebar appears on the left. I thought it takes up too much space and tried to undock or remove it, which didn't work, so I resized it to "very thin".

LibreOffice then locked up, with the icons in said sidebar constantly flickering.
What's worse is that LOffice REMEMBERS this resize after forced shutdown, so any future attempts to open Math result in an instantly locked up window.
Comment 1 Terrence Enger 2015-06-19 19:04:44 UTC
It happened at least acouple of times that the repainting of the left
panel of the Draw window made my entire desktop unresponsive.  Only
through a text console was I able to end LibreOffice.  Hence I am
assigning severity CRITICAL.

The problem is still apparent in the daily dbgutil bibisect repository
version 2015-06-19.


Working in the 50max bibisect repository, I see from `git bisect good` ...

    There are only 'skip'ped commits left to test.
    The first bad commit could be any of:
    891b689ba95b9e53609194ee2a1a2d3b8955843c
    18afb8632caa524fbc70ed5ce3808e23e5dad16f
    We cannot bisect more!

and from `git bisect log` ...

    # bad: [dda106fd616b7c0b8dc2370f6f1184501b01a49e] source-hash-0db96caf0fcce09b87621c11b584a6d81cc7df86
    # good: [5b9dd620df316345477f0b6e6c9ed8ada7b6c091] source-hash-2851ce5afd0f37764cbbc2c2a9a63c7adc844311
    git bisect start 'latest' 'oldest'
    # good: [0c30a2c797b249d0cd804cb71554946e2276b557] source-hash-45aaec8206182c16025cbcb20651ddbdf558b95d
    git bisect good 0c30a2c797b249d0cd804cb71554946e2276b557
    # bad: [2ce02b2ce56f12b9fcb9efbd380596975a3a5686] source-hash-17d714eef491bda2512ba8012e5b3067ca19a5be
    git bisect bad 2ce02b2ce56f12b9fcb9efbd380596975a3a5686
    # bad: [e4deb8a42948865b7b23d447c1547033cb54535b] source-hash-ce46c98dbeb3364684843daa5b269c74fce2af64
    git bisect bad e4deb8a42948865b7b23d447c1547033cb54535b
    # bad: [15e8b5cc6b4784fecd63b2a5a04ac086b3e9fc01] source-hash-26b500afcaed704db7a300836f466517c309ee77
    git bisect bad 15e8b5cc6b4784fecd63b2a5a04ac086b3e9fc01
    # bad: [534715525a93b0d7d56ba123d253c927cccf0afe] source-hash-40c9a46b78b8919aae82dd9b94774d63bb9cb4e6
    git bisect bad 534715525a93b0d7d56ba123d253c927cccf0afe
    # good: [c255ade961c9628f72d2fbca268fdf3a4e5f60c2] source-hash-4bdbea5447f36beb9cc33df173a89a49a9918290
    git bisect good c255ade961c9628f72d2fbca268fdf3a4e5f60c2
    # good: [2b4739cd51404149b1279b86643f1fee719de667] source-hash-8ee20e2691aa6f67c67d40c61a8cd1569458b5a8
    git bisect good 2b4739cd51404149b1279b86643f1fee719de667
    # good: [9891e7d487540e4650378e546aea5025876d02cf] source-hash-b2f76e0e8a81b456f47b677cd881cc105f781cdb
    git bisect good 9891e7d487540e4650378e546aea5025876d02cf
    # skip: [891b689ba95b9e53609194ee2a1a2d3b8955843c] source-hash-01f406bc28f53acc5a2734af637aa8074a5d1813
    git bisect skip 891b689ba95b9e53609194ee2a1a2d3b8955843c
    # good: [4484ce03daa4db83ee9ce6e54396d6f1a0ddcb2a] source-hash-6a3c5af4eb96d03110fcbc856c6920bfcf4063c7
    git bisect good 4484ce03daa4db83ee9ce6e54396d6f1a0ddcb2a
    # bad: [18afb8632caa524fbc70ed5ce3808e23e5dad16f] source-hash-d05a64df34fd143670cb939b72abfb32d6b714c7
    git bisect bad 18afb8632caa524fbc70ed5ce3808e23e5dad16f
    # good: [b02369ea724c86023b074987f04fd60f956c4618] source-hash-4cd7b4ab8aeaf61f5e30e4b63e039b7bb9519e85
    git bisect good b02369ea724c86023b074987f04fd60f956c4618
    # good: [b52e9a820cbacc502e51aeae755415ea1ac8994a] source-hash-100c518e980f6abdc93c727c524b738200236bf2
    git bisect good b52e9a820cbacc502e51aeae755415ea1ac8994a
    # good: [cfa6015c1d535c8e22bef6a6abb9363c757693d1] source-hash-9e678c14e4fc8e58b1e0530744f648fa3958d338
    git bisect good cfa6015c1d535c8e22bef6a6abb9363c757693d1
    # only skipped commits left to test
    # possible first bad commit: [18afb8632caa524fbc70ed5ce3808e23e5dad16f] source-hash-d05a64df34fd143670cb939b72abfb32d6b714c7
    # possible first bad commit: [891b689ba95b9e53609194ee2a1a2d3b8955843c] source-hash-01f406bc28f53acc5a2734af637aa8074a5d1813

Note commit message ...

    commit d05a64df34fd143670cb939b72abfb32d6b714c7
    Author: Tobias Madl <tobias.madl.dev@gmail.com>
    Date:   Fri Mar 6 14:48:18 2015 +0100

        Timer/Idle: adapted inherited funktions
    
        Change-Id: I7714a4638b03d020820b276028c0819ef054fa26
Comment 2 J 2015-06-28 19:59:28 UTC
Any workaround for this? LibreOffice remembers this configuration, making Math totally unusable, even after apt purge and reinstall...
Comment 3 Terrence Enger 2015-06-28 21:38:12 UTC
Tobias,

Can you help us out with this bug?  Can you suggest who I should go
to?

Seeing that the problem persists across executions of LibreOffice and
that it has the potential to lock up the entire desktop, I think it
deserves early attention.

J,

I am pretty sure that resetting your user profile will let you use
Math again.

If you are willing to muck around in your user profile with a text
editor, this might work for you.  I made the "persists across
executions of LibreOffice" go away by finding this in
user/registrymodifications.xcu ...

    <item oor:path="/org.openoffice.Office.Views/Windows">
      <node oor:name="smath/30382" oor:op="replace">
        <prop oor:name="Visible" oor:op="fuse">
          <value xsi:nil="true"/>
        </prop>
        <node oor:name="UserData">
          <prop oor:name="Data" oor:op="fuse" oor:type="xs:string">
            <value>V2,V,0,AL:(4,16,0/0/20/0,20;574)</value>

All this and more was on one line; I have broken it up here for
readability.  I changed the last bit of that to

            <value>V2,V,0,AL:(4,16,0/0/300/0,300;0)</value>

HTH,
Terry.
Comment 4 Terrence Enger 2015-06-28 21:40:54 UTC
Seeing that the problem persists across executions of LibreOffice and
that it has the potential to lock up the entire desktop, I am setting
severity HIGHEST.
Comment 5 Tobias Madl 2015-06-30 21:03:32 UTC
Hello Terrence,

Atm i'm pretty busy by doing my exams. But maybe Juergen Funk (Juergen.Funk@cib.de) can have a look over this. I passed my current work on to him, until i get more time again. I'm very sorry for this right now.

But on the first look and problems till now it is a task which isn't executed any more. Maybe this could help.

regards 

Tobi
Comment 6 Terrence Enger 2015-07-01 00:01:45 UTC
Setting component = Formula Editor.

Jonas,

Can you help us out on this bug report?  I see it as fairly urgent:
5.0.0 RC3 is scheduled within a week.

I shall also send an email to Juergen.Funk@cib.de.

Tobias,

Thank you for your help.  Having added you to the cc, I am leaving it
to you to remove yourself if you are so inclined.

Terry.
Comment 7 Juergen Funk (CIB) 2015-07-01 07:05:35 UTC
Hi Terrence,

at the moment i am very busy too, but i try to look asap.

I have me add to cc
Comment 8 Thomas Hackert 2015-07-14 17:11:02 UTC
Hello J, Terrence, *,
I can confirm this bug with LO

Version: 5.0.0.3
Build-ID: f79b5ba13f5e6cbad23f8038060e556217e66632
Gebietsschema: de-DE (de_DE.UTF-8)
(parallel installed, following the instructions from https://wiki.documentfoundation.org/Installing_in_parallel/Linux, and with Germanophone lang- as well as helppack) on Debian Testing AMD64,

LO
Version: 5.0.1.0.0+
Build ID: b0153639c17d40061480a7bbde11fa0249e3051f
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-5-0, Time: 2015-07-14_03:50:43
Locale: de-DE (de_DE.UTF-8)
(also parallel installed)

and
Version: 5.1.0.0.alpha1+
Build ID: 9be553f4c61f220ebbe212dc76cb9cce4ae1c106
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-07-13_22:45:19
Locale: de-DE (de_DE.UTF-8)
(see above ... ;) )

All leads to a hang ... :( @Terrence: Is it not easier to rename the user directory instead of editing an XML file? BTW: What does this "V2,2... value do? I have tried it,  but other than resizing the sidebar, it still hangs ... :(
HTH and HAND
Thomas.
Comment 9 Terrence Enger 2015-07-14 17:26:42 UTC
@thackert

Yes, it is easier to rename-away the user directory.  That, of course,
discards any other customizations that the user has made.

By "still hangs" do you mean right away or after you again reduce the
size of the sidebar?  I see the latter problem.

Terry.
Comment 10 Commit Notification 2015-07-22 14:42:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b1760dc3320bfb44568243359124d2615e69e18d

Resolves: tdf#92148 SmElementsControl invalidates itself from paint endlessly

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-07-22 21:24:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e390f8c579fcec8d3eba71b8d8608eb74e03449&h=libreoffice-5-0

Resolves: tdf#92148 SmElementsControl invalidates itself from paint endlessly

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Terrence Enger 2015-07-23 19:14:22 UTC
I see the problem fixed in daily dbgutil bibisect repo, version
2015-07-23, source hash e92a8b9.

Thnks you, Caolán.

@J : When you see the fix for yourself, please advance the bug status
to VERIFIED.
Comment 13 J 2015-08-13 23:49:50 UTC
Just checked, it's solved.
Comment 14 Robinson Tryon (qubit) 2015-12-17 09:14:15 UTC Comment hidden (obsolete)